Resolve error ASMA080E when upgrading JESConnect on MVS Mainframe running z/OS 2.2

print

Issue

When upgrading JESConnect on a Mainframe running z/OS 2.2 the following messages are reported:

ASMA068S Length error - L(IOBLENG)
ASMA080E Statement is unresolvable JESCONNECT - JES CONTROL BLOCK OFFSETS MODULE

Which version of JESConnect is compatible with z/OS 2.2?




 

Cause

There are two versions of JESConnect 6.2.2, V6R2M2A and V6R2M2B.  
If the customer upgrades the z/OS and upgrades JESConnect using V6R2M2A, the messages as described in the Issue section will occur



 

Resolution

The issue is resolved by installing JESConnect version 6.6.2 release V6R2M2B, this release can be provided by contacting software.support@pb.com 

The following enhancements or modifications are available in JESConnect V6.2.2:
  • Provides support for z/OS 2.2 operating system, and z/OS 2.2 JES2 and JES3 subsystems.

  • Remove support for z/OS 1.12 and lower operating systems, and z/OS 1.12 and lower JES2 and JES3 subsystems.

UPDATED: November 28, 2017